Error
20/11/2012 11:36
0
Bom dia
Após atualizar meu computador do 10.04 para o 12.04(ubuntu) o grials parou de funcionar ao sempre apresenta o mesmo erro quando rodo os comandos run-app ou create-domain-class.Alguem poderia ajudar?
Tags: error run-app


1
Oi Thiago, gera alguma saída de erro?

Verifique se as variáveis de ambiente JAVA_HOME e GRAILS_HOME não foram modificadas.
Também verifique se não foi substituída a sua versão do Java, o que é muito comum com estas atualizações do Ubuntu.

Lembre-se de que JAVA_HOME deve apontar para o diretório do JDK sempre, e não para o da JRE.


0
Java_home esta correto, poderia dar um exemplo do grails_home para comparar
20/11/2012 12:42


0
A variável GRAILS_HOME sempre vai apontar para o diretório aonde seu Grails estiver instalado.

Neste caso, é muito importante que você também adicione ao path do seu sistema o sub-diretório bin, que está dentro desta pasta.


0
então ambos estão corretos ele da um erro muito grande uma parte do inicio dele
... at org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite$PogoCachedMethodSite.invoke(PogoMetaMethodSite.java:226)
at org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.callCurrent(PogoMetaMethodSite.java:52)
at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:141)
at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16.doCall(GantBinding.groovy)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
at org.codehaus.groovy.reflection.CachedMethod.invoke(CachedMethod.java:90)
at groovy.lang.MetaMethod.doMethodInvoke(MetaMethod.java:233)
at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:1047)
at groovy.lang.ExpandoMetaClass.invokeMethod(ExpandoMetaClass.java:1110)
at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:877)
at groovy.lang.Closure.call(Closure.java:412)
.....
20/11/2012 13:19


0
Qual a versão do seu Java?
Executa aí na linha de comando java -ver ou javac -ver e vê qual a instalação.
Se for aquela padrão que não é originária da Sun, minha sugestão é que você troque.


0
Utilizando o comando java -version retornou
java version "1.6.0_37"
Java(TM) SE Runtime Environment (build 1.6.0_37-b06)
Java HotSpot(TM) Server VM (build 20.12-b01, mixed mode)
tbm já tentei com a 1.7 e nada...
20/11/2012 14:56


0
Não sei dizer se é requisito, mas eu sempre uso o JDK
20/11/2012 14:59


0
Pensando bem rs, é requisito sim, coloquei o JDK ao invés do JRE, pode ser o 1.6 mesmo.
20/11/2012 15:01


0
Estou usuando o JDK...
20/11/2012 15:20


0
Solucionado aqui no arquivo /etc/profile estava configurado corretamente o erro estava no .bashrc do meu usuario Home que apontava para o JRE não para o JDK
20/11/2012 15:44


0
Oi Thiago, bom saber.
Qualquer coisa estamos aí pra te ajudar



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto